# Template List

Templates; Template Name, Description, Id, Threat Count, Content Type, Category Name, Subcategory Name

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

This endpoint returns template list that contains template name, id, description, content type, category as in Picus Platform> Threat Templates.

  • content type = dynamic / static (optional)
    • dynamic = rule based templates
    • static = threat list based templates
  • category_name = My Templates / Emerging Threats / Suggested by Picus Labs / Most Popular Templates / Security Posture Management / Security Control Rationalization / Threat Intelligence (optional)

Template Detail endpoint can be called for detailed information for any template.


Example

Get all templates with pagination

curl --request GET \
     --url 'https://api.picussecurity.com/v1/templates?limit=50&offset=0' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "templates": [
    {
      "name": "Dynamic Template #1",
      "id": 4811,
      "description": "My custom template",
      "content_type": "dynamic",
      "content_updated_at": 1654780272736,
      "category_name": "My Templates",
      "subcategory_name": "",
      "agent_types": [
        {
          "id": 1,
          "name": "Browser"
        },
        {
          "id": 2,
          "name": "Windows"
        },
        {
          "id": 5,
          "name": "MacOS"
        },
        {
          "id": 6,
          "name": "Linux"
        },
        {
          "id": 3,
          "name": "Installable Agent"
        }
      ],
      "threat_count": 100
    }
    ]
}

Example 2

Get dynamic "My Templates"

curl --request GET \
     --url 'https://api.picussecurity.com/v1/templates?category_name=My%2520Templates&content_type=dynamic' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "templates": [
    {
      "name": "Dynamic Template #1",
      "id": 4811,
      "description": "My custom template",
      "content_type": "dynamic",
      "content_updated_at": 1654780272736,
      "category_name": "My Templates",
      "subcategory_name": "",
      "agent_types": [
        {
          "id": 1,
          "name": "Browser"
        },
        {
          "id": 2,
          "name": "Windows"
        },
        {
          "id": 5,
          "name": "MacOS"
        },
        {
          "id": 6,
          "name": "Linux"
        },
        {
          "id": 3,
          "name": "Installable Agent"
        }
      ],
      "threat_count": 100
    }
    ]
}
📘

My Template

If you applied to category = "My Templates" filter, the endpoint will be returning your templates.

Example 3

Get "Emerging Threats" Templates

curl --request GET \
     --url 'https://api.picussecurity.com/v1/templates?category_name=Emerging%2520Threats' \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "templates": [
    {
      "name": "REvil (Sodinokibi) Ransomware Campaign",
      "id": 4811,
      "description": "This predefined campaign template contains trending emergency threats belonging to the REvil (Sodinokibi) Ransomware which was used in Kaseya VSA MSP Supply Chain Attack",
      "content_type": "static",
      "content_updated_at": 1654780272736,
      "category_name": "Emerging Threats",
      "subcategory_name": "",
      "agent_types": [
        {
          "id": 1,
          "name": "Browser"
        },
        {
          "id": 2,
          "name": "Windows"
        },
        {
          "id": 5,
          "name": "MacOS"
        },
        {
          "id": 6,
          "name": "Linux"
        },
        {
          "id": 3,
          "name": "Installable Agent"
        }
      ],
      "threat_count": 100
    }
    ]
}
Query Params
int64
int64
string

Filter by Predefined Category Names or My Templates

string

Filter by content type Static or Dynamic

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json